Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.webcommon30
Class WebResourceCollectionTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.webcommon30.WebResourceCollectionTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, WebResourceCollectionType<T>

    public class WebResourceCollectionTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, WebResourceCollectionType<T>

This class implements the `web-resource-collectionType` xsd type

Original Documentation:

The web-resource-collectionType is used to identify the
resources and HTTP methods on those resources to which a
security constraint applies. If no HTTP methods are specified,
then the security constraint applies to all HTTP methods.
If HTTP methods are specified by http-method-omission
elements, the security constraint applies to all methods
except those identified in the collection.
http-method-omission and http-method elements are never
mixed in the same collection.
Used in: security-constraint

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`WebResourceCollectionTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`WebResourceCollectionTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getHttpMethodList()` Returns all `http-method` elements
`java.util.List<java.lang.String>` | `getHttpMethodOmissionList()` Returns all `http-method-omission` elements
`java.util.List<java.lang.String>` | `getUrlPatternList()` Returns all `url-pattern` elements
`java.lang.String` | `getWebResourceName()` Returns the `web-resource-name` element
`WebResourceCollectionType<T>` | `removeAllDescription()` Removes the `description` element
`WebResourceCollectionType<T>` | `removeAllHttpMethod()` Removes the `http-method` element
`WebResourceCollectionType<T>` | `removeAllHttpMethodOmission()` Removes the `http-method-omission` element
`WebResourceCollectionType<T>` | `removeAllUrlPattern()` Removes the `url-pattern` element
`WebResourceCollectionType<T>` | `removeWebResourceName()` Removes the `web-resource-name` element
`WebResourceCollectionType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`WebResourceCollectionType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`WebResourceCollectionType<T>` | `setHttpMethod(java.lang.String httpMethod)` Creates a new `http-method` element
`WebResourceCollectionType<T>` | `setHttpMethodList(java.lang.String... values)` Creates for all String objects representing `http-method` elements, a new `http-method` element
`WebResourceCollectionType<T>` | `setHttpMethodOmission(java.lang.String httpMethodOmission)` Creates a new `http-method-omission` element
`WebResourceCollectionType<T>` | `setHttpMethodOmissionList(java.lang.String... values)` Creates for all String objects representing `http-method-omission` elements, a new `http-method-omission` element
`WebResourceCollectionType<T>` | `setUrlPattern(java.lang.String urlPattern)` Creates a new `url-pattern` element
`WebResourceCollectionType<T>` | `setUrlPatternList(java.lang.String... values)` Creates for all String objects representing `url-pattern` elements, a new `url-pattern` element
`WebResourceCollectionType<T>` | `setWebResourceName(java.lang.String webResourceName)` If not already created, a new `web-resource-name` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebResourceCollectionTypeImpl

    public WebResourceCollectionTypeImpl(T t,
                                         java.lang.String nodeName,
                                         org.jboss.shrinkwrap.descriptor.spi.Node node)

### WebResourceCollectionTypeImpl

    public WebResourceCollectionTypeImpl(T t,
                                         java.lang.String nodeName,
                                         org.jboss.shrinkwrap.descriptor.spi.Node node,
                                         org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setWebResourceName

    public WebResourceCollectionType<T> setWebResourceName(java.lang.String webResourceName)

  If not already created, a new `web-resource-name` element with the given value will be created. Otherwise, the existing `web-resource-name` element will be updated with the given value.

  Specified by:
    `setWebResourceName` in interface `WebResourceCollectionType<T>`
  Returns:
    the current instance of `WebResourceCollectionType`

### removeWebResourceName

    public WebResourceCollectionType<T> removeWebResourceName()

  Removes the `web-resource-name` element

  Specified by:
    `removeWebResourceName` in interface `WebResourceCollectionType<T>`
  Returns:
    the current instance of `WebResourceCollectionType`

### getWebResourceName

    public java.lang.String getWebResourceName()

  Returns the `web-resource-name` element

  Specified by:
    `getWebResourceName` in interface `WebResourceCollectionType<T>`
  Returns:
    the node defined for the element `web-resource-name`

### setDescription

    public WebResourceCollectionType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `WebResourceCollectionType<T>`
  Returns:
    the current instance of `WebResourceCollectionType`

### setDescriptionList

    public WebResourceCollectionType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `WebResourceCollectionType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `WebResourceCollectionType`

### removeAllDescription

    public WebResourceCollectionType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `WebResourceCollectionType<T>`
  Returns:
    the current instance of `WebResourceCollectionType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `WebResourceCollectionType<T>`
  Returns:
    list of `description`

### setUrlPattern

    public WebResourceCollectionType<T> setUrlPattern(java.lang.String urlPattern)

  Creates a new `url-pattern` element

  Specified by:
    `setUrlPattern` in interface `WebResourceCollectionType<T>`
  Returns:
    the current instance of `WebResourceCollectionType`

### setUrlPatternList

    public WebResourceCollectionType<T> setUrlPatternList(java.lang.String... values)

  Creates for all String objects representing `url-pattern` elements, a new `url-pattern` element

  Specified by:
    `setUrlPatternList` in interface `WebResourceCollectionType<T>`
  Parameters:
    `list` - of `url-pattern` objects
  Returns:
    the current instance of `WebResourceCollectionType`

### removeAllUrlPattern

    public WebResourceCollectionType<T> removeAllUrlPattern()

  Removes the `url-pattern` element

  Specified by:
    `removeAllUrlPattern` in interface `WebResourceCollectionType<T>`
  Returns:
    the current instance of `WebResourceCollectionType`

### getUrlPatternList

    public java.util.List<java.lang.String> getUrlPatternList()

  Returns all `url-pattern` elements

  Specified by:
    `getUrlPatternList` in interface `WebResourceCollectionType<T>`
  Returns:
    list of `url-pattern`

### setHttpMethod

    public WebResourceCollectionType<T> setHttpMethod(java.lang.String httpMethod)

  Creates a new `http-method` element

  Specified by:
    `setHttpMethod` in interface `WebResourceCollectionType<T>`
  Returns:
    the current instance of `WebResourceCollectionType`

### setHttpMethodList

    public WebResourceCollectionType<T> setHttpMethodList(java.lang.String... values)

  Creates for all String objects representing `http-method` elements, a new `http-method` element

  Specified by:
    `setHttpMethodList` in interface `WebResourceCollectionType<T>`
  Parameters:
    `list` - of `http-method` objects
  Returns:
    the current instance of `WebResourceCollectionType`

### removeAllHttpMethod

    public WebResourceCollectionType<T> removeAllHttpMethod()

  Removes the `http-method` element

  Specified by:
    `removeAllHttpMethod` in interface `WebResourceCollectionType<T>`
  Returns:
    the current instance of `WebResourceCollectionType`

### getHttpMethodList

    public java.util.List<java.lang.String> getHttpMethodList()

  Returns all `http-method` elements

  Specified by:
    `getHttpMethodList` in interface `WebResourceCollectionType<T>`
  Returns:
    list of `http-method`

### setHttpMethodOmission

    public WebResourceCollectionType<T> setHttpMethodOmission(java.lang.String httpMethodOmission)

  Creates a new `http-method-omission` element

  Specified by:
    `setHttpMethodOmission` in interface `WebResourceCollectionType<T>`
  Returns:
    the current instance of `WebResourceCollectionType`

### setHttpMethodOmissionList

    public WebResourceCollectionType<T> setHttpMethodOmissionList(java.lang.String... values)

  Creates for all String objects representing `http-method-omission` elements, a new `http-method-omission` element

  Specified by:
    `setHttpMethodOmissionList` in interface `WebResourceCollectionType<T>`
  Parameters:
    `list` - of `http-method-omission` objects
  Returns:
    the current instance of `WebResourceCollectionType`

### removeAllHttpMethodOmission

    public WebResourceCollectionType<T> removeAllHttpMethodOmission()

  Removes the `http-method-omission` element

  Specified by:
    `removeAllHttpMethodOmission` in interface `WebResourceCollectionType<T>`
  Returns:
    the current instance of `WebResourceCollectionType`

### getHttpMethodOmissionList

    public java.util.List<java.lang.String> getHttpMethodOmissionList()

  Returns all `http-method-omission` elements

  Specified by:
    `getHttpMethodOmissionList` in interface `WebResourceCollectionType<T>`
  Returns:
    list of `http-method-omission`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD